package bean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import model.Livro;

@ManagedBean
@ViewScoped
public class InclusaoLivrosBean implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private List<Livro> livros;
	private Livro livro;
	
	public InclusaoLivrosBean() {
		this.livros = new ArrayList<Livro>();
		this.livro = new Livro();
	}
	
	public void incluir() {
		this.livros.add(this.getLivro());
		this.livro = new Livro();
	}

	public List<Livro> getLivros() {
		return livros;
	}

	public void setLivros(List<Livro> livros) {
		this.livros = livros;
	}

	public Livro getLivro() {
		return livro;
	}

	public void setLivro(Livro livro) {
		this.livro = livro;
	}

}
